"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const commonFlags = require("../common/flags");
const fs = require("fs");
const YAML = require("js-yaml");
const definition_1 = require("../common/definition");
class Unload extends command_1.Command {
    async run() {
        const configFile = definition_1.resolveConfigFile();
        if (configFile) {
            const oldConfig = YAML.safeLoad(fs.readFileSync(configFile));
            const { definition } = oldConfig, newConfig = tslib_1.__rest(oldConfig, ["definition"]);
            fs.writeFileSync(configFile, YAML.safeDump(newConfig));
            this.log(`Written to ${configFile}`);
        }
        this.log('Unloaded succesfully!');
    }
}
Unload.description = 'unload an openapi definition file (writes to .openapiconfig)';
Unload.examples = [`$ openapi unload`];
Unload.flags = Object.assign({}, commonFlags.help());
Unload.args = [];
exports.default = Unload;
