import * as SwaggerParser from 'swagger-parser';
import { Command } from '@oclif/command';
export declare const CONFIG_FILENAME = ".openapiconfig";
interface ParseOpts {
    definition: string;
    dereference?: boolean;
    validate?: boolean;
    bundle?: boolean;
    servers?: string[];
}
export declare function parseDefinition({ definition, dereference, validate, bundle, servers, }: ParseOpts): Promise<SwaggerParser.Document>;
export declare enum OutputFormat {
    JSON = "json",
    YAML = "yaml"
}
interface OutputOpts {
    document: SwaggerParser.Document;
    format?: OutputFormat;
}
export declare function stringifyDocument({ document, format }: OutputOpts): string;
export declare function resolveConfigFile(): string;
export declare function resolveDefinition(definitionArg: string): any;
export declare function printInfo(document: SwaggerParser.Document, ctx: Command): void;
export declare function printOperations(document: SwaggerParser.Document, ctx: Command): void;
export declare function printSchemas(document: SwaggerParser.Document, ctx: Command): void;
export {};
